#! /usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("@babel/polyfill");

var _commander = _interopRequireDefault(require("commander"));

var _WebServer = _interopRequireDefault(require("./WebServer"));

var _nodeToolkit = require("@tech_query/node-toolkit");

/* babel-plugin-inline-import '../package.json' */
var manifest = "{\n  \"name\": \"koapache\",\n  \"version\": \"1.0.6\",\n  \"description\": \"A Web server which is easy to use in Command-line or as a forked Child process based on Koa\",\n  \"keywords\": [\n    \"Web\",\n    \"server\",\n    \"command-line\",\n    \"worker\",\n    \"koa\",\n    \"apache\"\n  ],\n  \"author\": \"shiy2008@gmail.com\",\n  \"license\": \"LGPL-3.0\",\n  \"homepage\": \"https://tech-query.me/KoApache/\",\n  \"repository\": {\n    \"type\": \"git\",\n    \"url\": \"git+https://github.com/TechQuery/KoApache.git\"\n  },\n  \"bugs\": {\n    \"url\": \"https://github.com/TechQuery/KoApache/issues\"\n  },\n  \"main\": \"dist/WebServer.js\",\n  \"module\": \"source/WebServer.js\",\n  \"bin\": {\n    \"web-server\": \"dist/index.js\"\n  },\n  \"engines\": {\n    \"node\": \"^5.12.0\"\n  },\n  \"scripts\": {\n    \"lint\": \"eslint source/ test/ --fix\",\n    \"pack\": \"babel source/ -d dist/ -s\",\n    \"build\": \"npm run lint  &&  npm run pack  &&  esdoc\",\n    \"test\": \"npm run build  &&  mocha --exit\",\n    \"debug\": \"npm run build  &&  mocha --inspect-brk\",\n    \"prepublishOnly\": \"npm test\",\n    \"start\": \"node dist/ docs/ -o\"\n  },\n  \"husky\": {\n    \"hooks\": {\n      \"pre-commit\": \"npm test  &&  git add .\"\n    }\n  },\n  \"dependencies\": {\n    \"@babel/polyfill\": \"^7.2.5\",\n    \"@babel/runtime\": \"^7.3.4\",\n    \"@koa/cors\": \"^2.2.3\",\n    \"@tech_query/node-toolkit\": \"^0.9.2\",\n    \"commander\": \"^2.19.0\",\n    \"form-data\": \"^2.3.3\",\n    \"internal-ip\": \"^3.0.1\",\n    \"koa\": \"^2.7.0\",\n    \"koa-body\": \"^4.0.8\",\n    \"koa-logger\": \"^3.2.0\",\n    \"koa-static\": \"^5.0.0\",\n    \"opn\": \"^5.4.0\"\n  },\n  \"devDependencies\": {\n    \"@babel/cli\": \"^7.2.3\",\n    \"@babel/core\": \"^7.3.4\",\n    \"@babel/plugin-transform-runtime\": \"^7.3.4\",\n    \"@babel/preset-env\": \"^7.3.4\",\n    \"@babel/register\": \"^7.0.0\",\n    \"babel-plugin-inline-import\": \"^3.0.0\",\n    \"esdoc\": \"^1.1.0\",\n    \"esdoc-external-nodejs-plugin\": \"^1.0.0\",\n    \"esdoc-standard-plugin\": \"^1.0.0\",\n    \"eslint\": \"^5.14.1\",\n    \"husky\": \"^1.3.1\",\n    \"mocha\": \"^6.0.2\",\n    \"should\": \"^13.2.3\",\n    \"should-http\": \"^0.1.1\"\n  },\n  \"koapache\": {\n    \"proxy\": {\n      \"^/github/(.+)\": \"https://api.github.com/$1\"\n    }\n  }\n}\n";
var meta = JSON.parse(manifest),
    config = (0, _nodeToolkit.configOf)('koapache') || {};

_commander.default.name('web-server').version(meta.version).description(meta.description).usage('[dir] [options]').option('-p, --port <value>', 'Listening port number (support Environment variable name)').option('--CORS', 'Enable CORS middleware').option('-o, --open [path]', 'Open the Index or specific page in default browser').parse(process.argv);

var server = new _WebServer.default(_commander.default.args[0], isNaN(_commander.default.port) ? process.env[_commander.default.port] : _commander.default.port, _commander.default.CORS, config.proxy, _commander.default.open);
server.localHost();
//# sourceMappingURL=index.js.map